using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface IItemLogic
	{
		List<ItemViewModel>? ReadList(ItemSearchModel? model);
		ItemViewModel? ReadElement(ItemSearchModel model);
		bool Create(ItemBindingModel model);
		bool Update(ItemBindingModel model);
		bool Delete(ItemBindingModel model);
	}
}
